#include "common.h"
#include <math.h>
#include <stdio.h>
#include <stdlib.h>
#include <stdint.h>
#include <string.h>

#ifdef __cplusplus
extern "C" {
#endif

int
LLVMFuzzerTestOneInput(const uint8_t *data, size_t size) {
    size_t i = 0;

    double double_eq_const_0_0;
    double double_eq_const_1_0;
    double double_eq_const_2_0;
    double double_eq_const_3_0;
    double double_eq_const_4_0;

    if (size < 40)
        return TEPHRA_EXIT_FAILURE;


    memcpy(&double_eq_const_0_0, &data[i], 8);
    i += 8;
    memcpy(&double_eq_const_1_0, &data[i], 8);
    i += 8;
    memcpy(&double_eq_const_2_0, &data[i], 8);
    i += 8;
    memcpy(&double_eq_const_3_0, &data[i], 8);
    i += 8;
    memcpy(&double_eq_const_4_0, &data[i], 8);
    i += 8;


    if (double_eq_const_0_0 == -3.6781006351756195E-91)
    if (double_eq_const_1_0 == -9.720994789560611E124)
    if (double_eq_const_2_0 == -4.525987669589893E42)
    if (double_eq_const_3_0 == 3.270512676854343E49)
    if (double_eq_const_4_0 == 4.527164166124968E147)
        BOOM();

    return TEPHRA_EXIT_SUCCESS;
}

#ifdef __cplusplus
}
#endif
